/**
 *******************************************************************************
 *
 * @file user_config.h
 *
 * @brief Application configuration definition
 *
 * Copyright (C) RivieraWaves 2009-2016
 *
 *******************************************************************************
 */
 
#ifndef _USER_CONFIG_H_
#define _USER_CONFIG_H_
#define APP_DEVICE_NAME_LENGTH_MAX      (20)//(18)
extern char Sram_Device_name[APP_DEVICE_NAME_LENGTH_MAX]; 
 
 /******************************************************************************
  *############################################################################*
  * 							SYSTEM MACRO CTRL                              *
  *############################################################################*
  *****************************************************************************/

//如果需要使用GPIO进行调试，需要打开这个宏
#define GPIO_DBG_MSG					0
//UART使能控制宏
#define UART_PRINTF_EN					1
//蓝牙硬件调试控制
#define DEBUG_HW						0




 
/*******************************************************************************
 *#############################################################################*
 *								APPLICATION MACRO CTRL                         *
 *#############################################################################*
 *******************************************************************************/
 
//连接参数更新控制
#define UPDATE_CONNENCT_PARAM  			1

//最小连接间隔
#define BLE_UAPDATA_MIN_INTVALUE		9   // 11.25ms for midi minimum
//最大连接间隔 
#define BLE_UAPDATA_MAX_INTVALUE		12  // 15ms for midi maximum
//连接Latency
#define BLE_UAPDATA_LATENCY				0
//连接超时
#define BLE_UAPDATA_TIMEOUT				600


//设备名称
//#define APP_DFLT_DEVICE_NAME           ("BK3432-GATT")
#define APP_DFLT_DEVICE_NAME           &Sram_Device_name[0]


 //广播包UUID配置
#define APP_MIDI_ADV_DATA_UUID        "\x03\x03\x00\xC7\xC4\x4E\xE3\x6C\x51\xA7\x33\x4B\xE8\xED\x5A\x0E\xB8\x03"
#define APP_MIDI_ADV_DATA_UUID_LEN    (18)

//扫描响应包数据
#define APP_SCNRSP_DATA         &scan_response_data//"\x0c\x08\x42\x4B\x33\x34\x33\x32\x2D\x47\x41\x54\x54" //BK3432-GATT"
#define APP_SCNRSP_DATA_LEN     (scan_response_data[0]+1)//(13)


//广播参数配置
/// Advertising channel map - 37, 38, 39
#define APP_ADV_CHMAP           (0x07)
/// Advertising minimum interval - 100ms (160*0.625ms)
#define APP_ADV_INT_MIN         Sram_Adv_interval //(160)
/// Advertising maximum interval - 100ms (160*0.625ms)
#define APP_ADV_INT_MAX         Sram_Adv_interval//(160)
/// Fast advertising interval
#define APP_ADV_FAST_INT        (32)




/*******************************************************************************
 *#############################################################################*
 *								DRIVER MACRO CTRL                              *
 *#############################################################################*
 ******************************************************************************/

//DRIVER CONFIG
#define UART_DRIVER						1
#define UART2_DRIVER					1
#define GPIO_DRIVER						1
#define AUDIO_DRIVER					0
#define RTC_DRIVER						0
#define ADC_DRIVER						0
#define I2C_DRIVER						0
#define PWM_DRIVER						0




/*************************************************************************************
*
*  BLE Function procedure control
*
******************************************************************************************/
#define AUTO_ADV              0




#endif /* _USER_CONFIG_H_ */
